# Uses of Enum Class
java.lang.invoke.MethodHandles.Lookup.ClassOption

Packages that use MethodHandles.Lookup.ClassOption
Package
Description
java.lang.invoke
The `java.lang.invoke` package provides low-level primitives for interacting with the Java Virtual Machine.

- ## Uses of MethodHandles.Lookup.ClassOption in java.lang.invoke

  Subclasses with type arguments of type MethodHandles.Lookup.ClassOption in java.lang.invoke
  Modifier and Type
  Class
  Description
  `static enum`
  `MethodHandles.Lookup.ClassOption`
  The set of class options that specify whether a hidden class created by `Lookup::defineHiddenClass` method is dynamically added as a new member to the nest of a lookup class and/or whether a hidden class has a strong relationship with the class loader marked as its defining loader.
  Methods in java.lang.invoke that return MethodHandles.Lookup.ClassOption
  Modifier and Type
  Method
  Description
  `static MethodHandles.Lookup.ClassOption`
  MethodHandles.Lookup.ClassOption.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MethodHandles.Lookup.ClassOption[]`
  MethodHandles.Lookup.ClassOption.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in java.lang.invoke with parameters of type MethodHandles.Lookup.ClassOption
  Modifier and Type
  Method
  Description
  `MethodHandles.Lookup`
  MethodHandles.Lookup.`defineHiddenClass(byte[] bytes, boolean initialize, MethodHandles.Lookup.ClassOption... options)`
  Creates a hidden class or interface from `bytes`, returning a `Lookup` on the newly created class or interface.
  `MethodHandles.Lookup`
  MethodHandles.Lookup.`defineHiddenClassWithClassData(byte[] bytes, Object classData, boolean initialize, MethodHandles.Lookup.ClassOption... options)`
  Creates a hidden class or interface from `bytes` with associated class data, returning a `Lookup` on the newly created class or interface.